Bug 1293636 - Systemd tomcat.service unit loads /etc/sysconfig/tomcat without shell expansion
Systemd tomcat.service unit loads /etc/sysconfig/tomcat without shell expansion
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: tomcat (Show other bugs)
23
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Ivan Afonichev
Fedora Extras Quality Assurance
:
Depends On: 1221896
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-22 08:48 EST by Coty Sutherland
Modified: 2016-03-25 18:22 EDT (History)
16 users (show)

See Also:
Fixed In Version: tomcat-8.0.32-5.fc23 tomcat-7.0.68-3.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1221896
Environment:
Last Closed: 2016-03-24 21:26:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Fedora Update System 2016-02-23 05:05:16 EST
tomcat-8.0.32-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5e0bb2f21a
Comment 2 Fedora Update System 2016-02-23 12:35:56 EST
tomcat-7.0.68-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-62619c1bda
Comment 3 Fedora Update System 2016-02-24 16:51:41 EST
tomcat-8.0.32-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5e0bb2f21a
Comment 4 Fedora Update System 2016-02-25 05:53:14 EST
tomcat-7.0.68-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-62619c1bda
Comment 5 Fedora Update System 2016-02-27 10:43:37 EST
tomcat-7.0.68-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b19c75d748
Comment 6 Fedora Update System 2016-02-28 08:51:01 EST
tomcat-7.0.68-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b19c75d748
Comment 7 Matthew Harmsen 2016-03-02 17:36:01 EST
Please note that per https://bugzilla.redhat.com/show_bug.cgi?id=1311771#c11 Bugzilla Bug #1311771 - Tomcat 8.0.32 update breaks FreeIPA and Dogtag installations, an error in the F22, F23, and F24 packages occurred.

The problematic change was reverted in http://koji.fedoraproject.org/koji/buildinfo?buildID=741084 tomcat-8.0.32-4.fc25 which fixed the problem:

    * https://bugzilla.redhat.com/show_bug.cgi?id=1311771#c10
    * https://bugzilla.redhat.com/show_bug.cgi?id=1311771#c11
Comment 8 Matthew Harmsen 2016-03-03 13:08:16 EST
Tested out the following F24 package:

    * http://koji.fedoraproject.org/koji/buildinfo?buildID=741325
      tomcat-8.0.32-4.fc24

Everything works as advertised!

Thanks,
-- Matt
Comment 9 Fedora Update System 2016-03-11 01:49:06 EST
tomcat-7.0.68-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e6651efbaf
Comment 10 Fedora Update System 2016-03-11 01:49:58 EST
tomcat-8.0.32-5.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-48ee453d15
Comment 11 Fedora Update System 2016-03-12 11:53:17 EST
tomcat-7.0.68-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e6651efbaf
Comment 12 Fedora Update System 2016-03-12 12:25:22 EST
tomcat-8.0.32-5.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-48ee453d15
Comment 13 Fedora Update System 2016-03-24 21:26:40 EDT
tomcat-8.0.32-5.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2016-03-25 18:21:24 EDT
tomcat-7.0.68-3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.